Technical Requirements

Using Sitebeam

You’ll need:

  • A modern web browser
    At a minimum: Internet Explorer 7, Firefox 3 and Safari 4 on PC, Mac or Linux. Most other browsers work to a varying degree, except for Internet Explorer 6 (or older) which is not supported.
  • Internet access
    We strongly recommend a broadband connection.

Was this article helpful? Contact our support team if you have a question.